## Documentation Index

Fetch the complete documentation index at: [/llms.txt](https://docs.cognigy.com/llms.txt)

Use this file to discover all available pages before exploring further.

GET

/v2.0/conversations/{sessionId}

Try it

### Get a Conversation

#### cURL

```bash
curl --request GET \
  --url https://api-trial.cognigy.ai/new/v2.0/conversations/{sessionId} \
  --header 'X-API-Key: <api-key>'
```

#### Python

```python
import requests

url = "https://api-trial.cognigy.ai/new/v2.0/conversations/{sessionId}"

headers = {"X-API-Key": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
```

#### JavaScript

```javascript
const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};

fetch('https://api-trial.cognigy.ai/new/v2.0/conversations/{sessionId}', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));
```

#### PHP

```php
$curl = curl_init();

curl_setopt_array($curl, [
  CURLOPT_URL => "https://api-trial.cognigy.ai/new/v2.0/conversations/{sessionId}",
  CURLOPT_RETURNTRANSFER => true,
  CURLOPT_ENCODING => "",
  CURLOPT_MAXREDIRS => 10,
  CURLOPT_TIMEOUT => 30,
  CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
  CURLOPT_CUSTOMREQUEST => "GET",
  CURLOPT_HTTPHEADER => [
    "X-API-Key: <api-key>"
  ],
]);

$response = curl_exec($curl);
$err = curl_error($curl);

curl_close($curl);

if ($err) {
  echo "cURL Error #:" . $err;
} else {
  echo $response;
}
```

#### Go

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

url := "https://api-trial.cognigy.ai/new/v2.0/conversations/{sessionId}"

req, _ := http.NewRequest("GET", url, nil)

req.Header.Add("X-API-Key", "<api-key>")

res, _ := http.DefaultClient.Do(req)

defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

fmt.Println(string(body))
}
```

### HTTP Responses

#### Success Responses
- **200:** Returns a conversation.

```json
{
  "items": [
    {
      "projectId": "<string>",
      "projectName": "<string>",
      "inputId": "<string>",
      "sessionId": "<string>",
      "contactId": "<string>",
      "organisation": "<string>",
      "inputText": "<string>",
      "inputData": {},
      "type": "user",
      "source": "user",
      "flowName": "<string>",
      "flowReferenceId": "<string>",
      "channel": "webchat3",
      "timestamp": {},
      "inHandoverRequest": true,
      "inHandoverConversation": true,
      "outputId": "<string>",
      "expiresAt": {},
      "endpointUrlToken": "<string>",
      "endpointName": "<string>",
      "localeReferenceId": "<string>",
      "localeName": "<string>",
      "snapshotId": "<string>",
      "snapshotName": "<string>",
      "rating": 123,
      "ratingComment": "<string>"
    }
  ],
  "total": 123
}
```

#### Error Responses
- **400:** Bad Request

```json
{
  "type": "Bad Request",
  "title": "Bad Request Error",
  "status": 400,
  "detail": "Validation failed. Missing payload.",
  "instance": "/v2.0/flows/5ce7c2d833ea1e04d7e6c432",
  "code": 1000,
  "traceId": "api--f84324f4-98eb-4f02-abdd-375a2e6c3c1f",
  "details": {}
}
```
- **401:** Unauthorized

```json
{
  "type": "Unauthorized",
  "title": "Unauthorized Error",
  "status": 401,
  "detail": "<string>",
  "instance": "/v2.0/flows/5ce7c2d833ea1e04d7e6c432",
  "code": 401,
  "traceId": "api--f84324f4-98eb-4f02-abdd-375a2e6c3c1f",
  "details": {}
}
```
- **402:** Payment Required

```json
{
  "type": "Payment Required",
  "title": "Payment Required Error",
  "status": 402,
  "detail": "Validation failed. Missing payload.",
  "instance": "/v2.0/flows/5ce7c2d833ea1e04d7e6c432",
  "code": 402,
  "traceId": "api--f84324f4-98eb-4f02-abdd-375a2e6c3c1f",
  "details": {}
}
```
- **403:** Forbidden
- **404:** Not Found
- **405:** Method Not Allowed
- **409:** Conflict
- **413:** Payload Too Large
- **500:** Internal Server Error
- **501:** Not Implemented
- **502:** Bad Gateway
- **503:** Service Unavailable
- **504:** Gateway Timeout

### Authorizations
- **X-API-Key**: Required header for authentication.

#### Headers
- **Accept**: Specifies the media type expected in the response.
  - Options: `application/json`, `application/hal+json`, `application/xml`, `text/xml`, `text/csv`.

### Path Parameters
- **sessionId**: The Id of the Session (required).

### Query Parameters
- **projectId**: The unique identifier for the Project (optional).
  - Required string length: `24`
  - Pattern: `^[a-z0-9]{24}$`
- **expertMode**: Boolean to indicate expert mode (optional).
